ENOSYS(1)

NAZWA
enosys - narzędzie powodujące błąd ENOSYS wywołania systemowego

SKŁADNIA

enosys [--syscall|-s wywołanie-systemowe] polecenie

OPIS

enosys jest prostym narzędziem do wykonywania procesu potomnego, dla którego określone wywołania systemowe zawiodą z błędem errno równym ENOSYS.

Może służyć do sprawdzania zachowania aplikacji przy wystąpieniu brakujących wywołań systemowych, co miałoby miejsce przy działaniu na starszych jądrach.

OPCJE

-s, --syscall
    Wywołanie systemowe do zablokowania przez ENOSYS. Opcji można użyć wielokrotnie. Za pomocą dwukropka można podać alternatywny numer lub nazwę błędu.

-i*, --ioctl
    Ioctl do zablokowania przez ENOTTY Opcji można użyć wielokrotnie. Za pomocą dwukropka można podać alternatywny numer lub nazwę błędu.

-l, --list
    Wypisuje wywołania systemowe znane enosys.

-m, --list-ioctl
    Wypisuje ioctl-e znane enosys.

-d, --dump[=plik]
    Zrzuca filtr kodu bajtowego seccomp na standardowe wyjście.

    Zrzut może być wykorzystany np. przez setpriv --seccomp-filter.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

PRZYKŁADY

    # powoduje błąd ENOSYS wywołania systemowego "fallocate"
    enosys -s fallocate ...

    # powoduje błąd ENOMEM wywołania systemowego "fallocate"
    enosys -s fallocate:ENOMEM ...

    # powoduje błąd wywołania systemowego "fallocate" z wartością 12/ENOMEM
    enosys -s fallocate:12 ...

    # powoduje błąd ENOTTY w ioctl FIOCLEX
    enosys -i FIOCLEX ...

    # powoduje błąd ENOMEM w ioctl FIOCLEX
    enosys -i FIOCLEX:ENOMEM ...

    # powoduje błąd ioctl FIOCLEX z wartością 12/ENOMEM
    enosys -i FIOCLEX:12 ...

STATUS ZAKOŃCZENIA

enosys wychodzi ze statusem zakończenia wykonywanego procesu. Następujące wartości mają specjalne znaczenie:

1
    błąd wewnętrzny

2
    system nie zapewnia odpowiedniej funkcjonalności

AUTORZY

ZOBACZ TAKŻE

syscall(2)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie enosys jest częścią pakietu util-linux, który można pobrać ze strony